Autodesk Product Manager

Define a Search
Autodesk Product Manager >
Autodesk Product Manager
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Topics in this section

  • Define a Search
  • Run or Resume a Search
  • Print or Export the Report View
Please send us your comment about this page


Define a Search

Autodesk Product Manager
Autodesk Product Manager
Run or Resume a Search
Autodesk Product Manager > Autodesk Product Manager >
Define a Search
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

You use a search definition to specify the Autodesk products to look for and the computers to search. You can create as many search definitions as you need and save them to be run later.

The products to search for are listed in groups, and you can select one or more groups or all groups. A list of all products that Autodesk Product Manager can search for is available on the Help menu.

When you create a search definition, you specify the computers to be searched. You can select a network name or a domain name, or you can select individual computers. You can also add a computer to the search definition by name.

Autodesk Product Manager works by searching the registry of each computer. You must have Administrator permissions to access the registry of a computer on a network other than your own. Remote registry service must be present in order to search computers that run Microsoft Windows.

NoteThe Available Network Computers list can display only the names of computers that are currently available. An available computer is a computer that is currently logged on to the network or a computer that is started and at a login screen or locked. Whether or not the computer is currently available, you can add it by name to the Computers Added to Search list. At the time you run the search, if the computer is not available, Autodesk Product Manager reports that it was not searched.

To create and save a search definition

  1. Click File menu [image] New Search.
  2. In the Product Search Definition dialog box, enter a name for the search definition, or use the default name.
  3. Under Products to Locate, select the product group you want to search for, or select All Products.

    To display a list of all products in a group, click the plus sign to the left of the group name.

  4. Under Computers to Search, select networks, domains, or individual computers in the Available Network Computers list, and click the Add to Search button to add them to the Computers Added to Search list.

    To select more than one item in either list, hold down the CTRL key while you select items. To select consecutive items, hold down the SHIFT key and select the first and last items.

  5. To remove a network, domain, or computer from the Computers Added to Search list, select one or more items to remove, and click the Remove from Search button.
  6. To add a computer by name, right-click in the Computers Added to Search list. Click Enter Computer Name. Enter the name of the computer in the new box in the list and press ENTER.
  7. Click OK to save the search definition.

To modify an existing search definition

  1. Click File menu [image] Modify Search.
  2. In the Modify Search Definition dialog box, select a search definition and click Modify.
  3. In the Product Search Definition dialog box, enter a new name for the search definition, or use the existing name.
  4. Under Products to Locate, select the product group you want to search for, or select All Products.

    To display a list of all products in a group, click the plus sign to the left of the group name.

  5. Under Computers to Search, select networks, domains, or individual computers in the Available Network Computers list, and click the Add to Search button to add them to the Computers Added to Search list.

    To select more than one item in either list, hold down the CTRL key while you select items. To select consecutive items, hold down the SHIFT key and select the first and last items.

  6. To remove a network, domain, or computer from the Computers Added to Search list, select one or more items to remove, and click the Remove from Search button.
  7. To add a computer by name, right-click in the Computers Added to Search list. Click Enter Computer Name. Enter the name of the computer in the new box in the list and press ENTER.
  8. Click OK to save the modified search definition.

To refresh the Available Network Computers list

  1. In the Product Search Definition dialog box, select any item in the Available Network Computers list.
  2. Right-click the selected item. Click Refresh Computers List.

The list is updated to display computers that are currently available to be searched. An available computer is a computer that is currently logged on to the network or a computer that is started and at a login screen or locked.


Run or Resume a Search

Define a Search
Autodesk Product Manager
Print or Export the Report View
Autodesk Product Manager > Autodesk Product Manager >
Run or Resume a Search
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

You can run a defined search multiple times. Each time, you can either generate a new report or add to the results from an earlier search. The Report View in the Autodesk Product Manager window displays the columns you specify.

The options you set before you run the search control how many times Autodesk Product Manager attempts to search computers that were unavailable during the initial run.

You can also control which data columns are displayed in the Report View. The Columns to Display list can be reordered.

NoteAutodesk Product Manager works by searching the registry of each available computer. An available computer is a computer that is currently logged on to the network or a computer that is started and at a login screen or locked. If you entered a computer in the search definition by either selecting it individually or entering its name, and it is not available at the time the search is run, Autodesk Product Manager reports that it was not searched.

To obtain the most complete results, it is recommended that you run a search at a time when most of the computers on the network are available. You can also select individual computers or enter them by name to ensure that any computers that are not available at the time the search is run are reported as not searched.

If you pause a search while it is running and then run it again, the new results are added to the results from the original search. To start the search from the beginning again, clear the results from the Report View.

The report lists results for every computer that was included in the search definition. If you want a report that lists only the computers that match the search criteria, select the filter option.

You can specify which columns to display in the Report View. You can also display labels next to the toolbar buttons and restore display of warnings and alerts.

To specify how many times to run the search

  1. Click Options menu [image] Search and Viewer Options.
  2. In the Search and Viewer Options dialog box, under Performance Options, select one of the following options:
    • Run Search Once. The search goes through the list of computers in the search definition only once.
    • Retry Unreachable Computers x Times. The search goes through the list of computers in the search definition once and then attempts to search the computers that were unavailable during the first run. You specify how many times to try before stopping.
  3. Click OK.

To specify which columns to display in the search results

  1. Click Options menu [image] Search and Viewer Options.
  2. In the Search and Viewer Options dialog box, under Columns to Display, select All Columns or select the columns you want to be displayed in the Report View.
  3. To move a column name up or down in the list, select the column name and click the Move Up button or the Move Down button to move it one position.
  4. Click OK.

To display only the computers that match the search criteria

  1. Click Options menu [image] Search and Viewer Options.
  2. In the Search and Viewer Options dialog box, select Filter Computers That Don't Match Search.

    If you do not select this option, results are displayed for all computers that were included in the search definition.

  3. Click OK.

To display labels next to toolbar buttons

  1. Click Options menu [image] Search and Viewer Options.
  2. In the Search and Viewer Options dialog box, select or clear the Display Toolbar Button Text option.
  3. Click OK.

To restore default messages and alert boxes

  1. Click Options menu [image] Search and Viewer Options.
  2. In the Search and Viewer Options dialog box, select Restore Default Messages and Alert Boxes.
  3. Click OK.

To run a search

  1. Click File menu [image] Open Search.
  2. In the Open Search Definition dialog box, select the search to run and click OK to close the dialog box.

    If the search definition you select has search results that have not been saved, you can save or discard them before you run the search again.

  3. Click Options menu [image] Search and Viewer Options.
  4. In the Search and Viewer Options dialog box, under Performance Options, select the number of times to run the search.
  5. Under Viewer Options, select the columns to display in the Report View, or select All Columns.
  6. Click OK to close the dialog box.
  7. Click Search menu [image] Run.

To resume a search that is stopped and add new data to the results

  • Click Search menu [image] Run.

To clear partial results and restart a search that is stopped

  1. Click Search menu [image] Clear Search Data.
  2. Click Search menu [image] Run Search.


Print or Export the Report View

Run or Resume a Search
Autodesk Product Manager
Autodesk Product Manager (APM)
Autodesk Product Manager > Autodesk Product Manager >
Print or Export the Report View
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

You can print the Report View from the Autodesk Product Manager window or export the results to a file for use in a spreadsheet or database program.

You can use the filter option in the Search and Viewer Options dialog boxto display only the computers that match the search criteria.

Autodesk Product Manager reports the following information for each Autodesk product found installed on a computer. In the Report View, if more than one product is found installed on a computer, the computer is listed in a new row and the information is provided for the additional product.

  • The name of the computer searched
  • The name and version or release number of the Autodesk product found on the computer
  • The location of the Autodesk product found
  • The serial number and language of the Autodesk product found
  • The personalization information: user name, company name, dealer name, and dealer telephone number
  • The service pack name
  • How the product is installed: stand-alone, network-server, network-client, or network-shared (thin client)
  • The time (in seconds) it took to search the computer
  • The status of the search of the computer, including whether Autodesk Product Manager was unable to access the computer or was denied access
  • The date and time the computer was searched

You can use standard Microsoft Windows procedures in the Report View to change the width of columns, hide columns, and move columns. You can also sort the results by column (for example, by product found). Use CTRL+C to copy data to the Clipboard in CSV (comma-delimited) file format.

For other formatting options, export the results to a file to be used in a spreadsheet or database program.

The Subscription button on the Autodesk Product Manager toolbar provides access to the Autodesk Software Subscription Coverage Report. The subscription report contains the following information:

  • Contract number
  • Contract coordinator (the purchasing agent or financial decision maker)
  • Contract validity dates
  • Reseller (if available)
  • Licenses
  • Serial number(s)
  • Seats
  • Fulfillment coordinator for the contract (usually the CAD manager)
  • Technical coordinator for the contract
  • Support
  • Deployment
  • Total for the product group

To change the width of a column

  1. Move the cursor over the line that separates the column you want to change from the column on its right.

    The cursor changes to a double-headed horizontal arrow.

  2. Drag left to decrease the width, or drag right to increase the width.
  3. Double-click to expand the column to accommodate display of its longest content.

    The column heading is not affected when you expand the column to accommodate its contents. Use the dragging method for the column heading.

To sort search results by column in the Report View

  • Click a column heading to sort the list by that column. Click again to sort the list in reverse.

    Shortcut menu Right-click and then click Sort Ascending or Sort Descending.

To hide a column

  1. Move the cursor over the line that separates the column you want to change from the column on its right.

    The cursor changes to a double-headed horizontal arrow.

  2. Drag the column separator at the right of the column heading to the left until the column heading disappears. To restore a hidden column, drag right.

    Shortcut menu Right-click and click Hide Columns. To restore all hidden columns, click Show All Columns.

To move a column

  • Drag the column heading of the column that you want to move into the column heading that you want to directly precede that column.

To print the results from the Report View

  • Click File menu [image] Print Report.

    The printed report includes all columns and rows, not just visible columns and rows.

To export the results from the Report View

  1. Click File menu [image] Export Report.
  2. In the Export Report dialog box, in Save In, specify a location for the exported report file.
  3. In File Name, enter a file name for the report file, or use the default name that is displayed.
  4. In Save As Type, select a file format:
    • Microsoft Excel 2000 workbook (XLS)
    • Comma-delimited file (CSV)

      The default format is XLS.

  5. Click Save to export the file.


Autodesk Product Manager (APM)

Print or Export the Report View
Autodesk Product Manager >
Autodesk Product Manager (APM)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Topics in this section

  • Autodesk Product Manager (APM)

    Searches computers on a network for Autodesk products

  • Autodesk Product Manager Window
  • Product Search Definition Dialog Box
  • Open Search Definition Dialog Box
  • Modify Search Definition Dialog Box
  • Search and Viewer Options Dialog Box
  • Autodesk Product Manager Report View
  • Export Report Dialog Box
  • Autodesk Product Manager at the DOS Prompt


Autodesk Product Manager Window
Autodesk Product Manager > Autodesk Product Manager (APM) >
Autodesk Product Manager (APM)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Searches computers on a network for Autodesk products

Menu: Start menu (Windows) [image] All Programs [image] Autodesk [image] CAD Manager Tools [image] Autodesk Product Manager

The Autodesk Product Manager Window is displayed.

You can also run Autodesk Product Manager at the DOS prompt


Autodesk Product Manager Window

Product Search Definition Dialog Box
Autodesk Product Manager Window
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Menu: Start menu (Windows) [image] All Programs [image] Autodesk [image] CAD Manager Tools [image] Autodesk Product Manager

Provides menus for creating search definitions and searching for Autodesk products. The results are displayed in table format in the same window, which is referred to in Help as the Autodesk Product Manager Report View.

The Subscription button on the Autodesk Product Manager toolbar provides access to the Autodesk Software Subscription Coverage Report.

File Menu

Controls the search definition and the report of results.

New Search

Displays the Product Search Definition dialog box, where you create a new search definition.

Open Search

Displays the Open Search Definition dialog box, where you can open a saved search definition that you want to run.

Modify Search

Displays the Modify Search Definition dialog box, where you can open, copy, rename, or delete saved search definitions.

Export Report

Displays the Export Report dialog box, where you can export the results of a search to a file in one of three file formats.

Print Report

Prints the results displayed in the Autodesk Product Manager report view.

Exit

Closes Autodesk Product Manager.

Search Menu

Runs, pauses, and clears searches.

Run Search

Runs the currently specified search. The results are displayed in the Autodesk Product Manager window while the search is running. If you pause a search and then run it again without first clearing the search, the results are appended to the results that are already displayed.

Pause Search

Stops a search before it is complete. You can resume the search or clear the results so far and start the search again.

Clear Search

Clears any search data for the current search definition. This option is available only when you pause a search or when there is data in the Report View from an earlier search that used the same search definition.

Options Menu

Specifies how many times to run the search and how to display the results.

Search and Viewer Options

Displays the Search and Viewer Options dialog box, where you can control how the search is run and how the results are displayed. You can also control the display of toolbars and messages.

Help Menu

Provides access to Help and a complete list of products that Autodesk Product Manager can search for.

Help

Displays Help.

Products Searched

Displays the Products Searched dialog box, which lists the products that Autodesk Product Manager can search for.

About Autodesk Product Manager

Displays information about Autodesk Product Manager, including version and copyright.


Product Search Definition Dialog Box

Autodesk Product Manager Window
Open Search Definition Dialog Box
Autodesk Product Manager > Autodesk Product Manager (APM) >
Product Search Definition Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Toolbar: Toolbar
Menu: File [image] New Search

Defines, names, and saves a search definition.

Search Name

Names the search definition. If you do not enter a name, the search is automatically named Search 1, Search 2, and so on.

Autodesk Products

Lists the group of products to find. To display a list of all products in a group, click the plus sign to the left of the group name.

Available Network Computers

Lists the computers currently available on the network. An available computer is a computer that is currently logged on to the network or a computer that is started and at a login screen or locked.

Computers Added to Search

Lists the computers to search. To add a computer by name, right-click in the Computers Added to Search list and click Enter Computer Name on the shortcut menu. Enter the name of the computer in the new box in the list and press ENTER. You can enter a domain name as follows: domainname\\.

Add to Search

Adds the computer, network, or domain that is selected in the Available Network Computers list to the Computers Added to Search list. You can also right-click in the Available Network Computers list and click Add to Search.

Remove from Search

Removes from the search the computer, network, or domain that is selected in the Computers Added to Search list. You can also right-click in the Computers Added to Search list and click Remove from Search.

Refresh Computers List (Shortcut Menu)

Refreshes the Available Network Computers list to include computers that have become available since the dialog box was opened.


Open Search Definition Dialog Box

Product Search Definition Dialog Box
Modify Search Definition Dialog Box
Autodesk Product Manager > Autodesk Product Manager (APM) >
Open Search Definition Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Toolbar: Toolbar
Menu: File [image] Open Search

Opens a saved search definition so that you can run the search.

Search Definition

Lists saved search definitions.


Modify Search Definition Dialog Box

Open Search Definition Dialog Box
Search and Viewer Options Dialog Box
Autodesk Product Manager > Autodesk Product Manager (APM) >
Modify Search Definition Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Menu: File [image] Modify Search

Copies, renames, deletes, or modifies a saved search definition.

Copy

Copies the selected search and adds it to the list with Copy of added to the search name. If you make more than one copy, a number is added to the name, for example, Copy of Basic 1.

Rename

Places a box around the selected search definition so that you can enter a new name.

Delete

Deletes the selected search definition.

Modify

Closes the Modify Search Definition dialog box and opens the Product Search Definition dialog box, where you can make changes to the selected search definition.


Search and Viewer Options Dialog Box

Modify Search Definition Dialog Box
Autodesk Product Manager Report View
Autodesk Product Manager > Autodesk Product Manager (APM) >
Search and Viewer Options Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Menu: Options [image] Search and Viewer Options

Controls how the search is run and how the results are displayed; also controls the display of toolbars and messages.

Run Search Once

Runs the search once through the list of computers in the search definition.

Retry Missing Computers x Times

Searches for computers that were not available to be searched, and repeats this process the number of times you specify or until all computers in the search definition have been searched.

Columns to Display

Controls which columns are displayed in the search results.

Move Up

Moves the column name selected in the Columns to Display list up one position.

Move Down

Moves the column name selected in the Columns to Display list down one position.

Filter Computers That Don't Match Criteria

Displays in the search results only the computers that match the search criteria.

Display Toolbar Button Text

Controls the display of toolbar buttons. When this option is selected, the name of the toolbar button is displayed beside the button icon. When the option is not selected, only the toolbar button icon is displayed.

Restore Default Messages and Alert Boxes

Restores the display of messages that you turned off.


Autodesk Product Manager Report View

Search and Viewer Options Dialog Box
Export Report Dialog Box
Autodesk Product Manager > Autodesk Product Manager (APM) >
Autodesk Product Manager Report View
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Menu: Start menu (Windows) [image] All Programs [image] Autodesk [image] CAD Manager Tools [image] Autodesk Product Manager

Reports the results of a search in the form of a table. Information is displayed in the following columns.

PC Name

The name of the computer that was searched. If the computer was not searched, the icon that precedes its name appears gray.

Autodesk Products

The name of an Autodesk product found on the computer. If no products are found, the entry is None.

Version

The version or release number of the product found. If no products are found, the entry is blank.

Installation Location

The location of the Autodesk product found. If no products are found, the entry is blank.

Serial Number

The serial number of the Autodesk product found. If no products are found, the entry is blank.

Language

The language of the product found.

User Name

The user name from the personalization information (if any) for the product found.

Organization

The company name from the personalization information (if any) for the product found.

Dealer Name

The name of the dealer from the personalization information (if any) for the product found.

Dealer Phone

The telephone number of the dealer from the personalization information (if any) for the product found.

Service Pack Name

The name of the service pack (if any) installed for the product found.

Installation Type

The installation type for the product found. Installation types are stand-alone, network-server, network-client, and network-shared (thin client).

Time to Query

The time (in seconds) that it took to search the computer.

Query Status

The status of the search for this computer. Status messages are OK, Computer Not Found, Access to the Computer Is Denied, and Unknown Error While Searching the Machine.

Query Date and Time

The date and time the computer was searched.


Export Report Dialog Box

Autodesk Product Manager Report View
Autodesk Product Manager at the DOS Prompt
Autodesk Product Manager > Autodesk Product Manager (APM) >
Export Report Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Toolbar: Toolbar
Menu: File [image] Export Search

Exports the results of a search to a file in one of three file formats.

Save In

Specifies the folder in which to save the file.

File Name

Specifies the file name for the exported search results. If you do not enter a file name, the name of the search is used and the file extension .xls is added to export the results in Microsoft Excel 2000 format.

Save As Type

Specifies the file format for the report file. The file formats are

  • Microsoft Excel 2000 workbook (XLS file)
  • Microsoft Access 2000 database (MDB file)
  • Comma-delimited text (CSV file)

    If you do not select a file format, the file is saved with the file extension .xls for use in Microsoft Excel 2000.


Autodesk Product Manager at the DOS Prompt

Export Report Dialog Box
Autodesk Product Manager at the DOS Prompt
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

At the DOS prompt, in the Autodesk Product Manager directory, you can enter AdPM to run Autodesk Product Manager. To run a search that has already been defined and export the results to a file, use the following syntax, all on one line.

AdPM [ search definition ] /mb [/r [ drive :][ path ][ report file name ]]

If you do not enter a search definition, the whole network is searched for all products. You can use the following switches:

/? Switch

Displays instructions for running Autodesk Product Manager in the DOS window.

/mb Switch

Displays a dialog box that shows the progress of the search and provides a button you can use to cancel the search. When you use this switch, the /r switch and the report file name are required.

/mf Switch

Displays the Autodesk Product Manager window. You run the search in the dialog boxes provided. The /r switch and the report file name, if specified, are ignored.

/* Switch

Lists the saved search definitions.

/r Switch

Creates a report of the search results. The file extension of the file name you enter determines the file format. The file extensions are .xls (Microsoft Excel 2000 workbook), .mdb (Microsoft Access 2000 database), and .csv (comma-delimited text).

When you press ENTER, Autodesk Product Manager runs the search in the DOS window until the search is complete or canceled. You cannot pause the search and resume it. To stop a search, press CTRL+C. The results of the partial search are saved.

Simple tooltip Text with formatting

Progressive tooltip Text

Some tooltip Text

Level 1 Content

level 2 Content

Level 0 Content

Level 1 Content

level 2 Content


Comments?

Using this form sends your comments to the Autodesk Technical Publications group responsible for this documentation.

Topic title and location (do not edit):
Name (optional):
         Email (optional):
Comments:

Note: This form is not intended as a way for you to receive feedback or technical support. The information you provide will be used to enhance future updates to the documentation. Thanks!